package lt.bit.SauktiniuSarasas.restControllers;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import lt.bit.SauktiniuSarasas.entities.Sauktinis;
import lt.bit.SauktiniuSarasas.services.SauktiniaiService;

@RestController
@RequestMapping("/sauktiniai")
public class SauktiniaiController {
	@Autowired
	SauktiniaiService sauktiniaiService;
	
	@CrossOrigin
	@GetMapping("/")
	public List<Sauktinis> index(){
		return sauktiniaiService.getSauktiniai();
	}
	
	@CrossOrigin
	@PostMapping("/")
	public Sauktinis add(
			@RequestParam("name") String name, 
			@RequestParam("surname") String surname,
			@RequestParam("phone") String phone,
			@RequestParam("email") String email
		){
		Sauktinis s=new Sauktinis(name, surname, phone, email);
		return sauktiniaiService.saveSauktinis(s);
	}

}
